import Api,{ HttpResponse, Result } from './../utils/request';


class FolderService{
    /**
     * 删除文件夹
     */
     static async RemoveTripFolder(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_RemoveTripFolder",params)
    }

    /**
     * 我的云文档列表（行程、广告）
     */
     static async GetMyTripFolderPage(params : any):Promise<HttpResponse>{
        return Api.Post("triptemplate_GetMyTripFolderPage",params)
    }

    static async SetFolderAsync(FolderId:number,FolderName:string,ParendFolderId:number,FolderType:number):Promise<HttpResponse>{
        let msg = {
            FolderId,
            FolderName,
            ParendFolderId,
            FolderType
        }
        return Api.Post("triptemplate_SetTripFolder",msg)
    }
}
export default FolderService;